import javax.script.Bindings;
import javax.script.ScriptContext;
import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;

public class BindingDemo_1 {

    public static void main(String[] args) {

        // create ScriptEngineManager
        ScriptEngineManager manager = new ScriptEngineManager();

        // get the ScriptEngine for JavaScript
        ScriptEngine engine = manager.getEngineByName("js");

        Bindings bindings = engine.createBindings();
        bindings.put("a", 10);
        bindings.put("b", 154);

        // use the bound values in calculations
        try {
            Object result = engine.eval("c = a + b;", bindings);
            System.out.println("a + b = " + result);
        } catch (ScriptException e) {
            e.printStackTrace();
        }
    }
}
